org.acplt.oncrpc.server

## Class OncRpcServerAuth

- java.lang.Object
- - org.acplt.oncrpc.server.OncRpcServerAuth

Direct Known Subclasses:
  OncRpcServerAuthNone, OncRpcServerAuthShort, OncRpcServerAuthUnix

    public abstract class OncRpcServerAuth
    extends java.lang.Object

The `OncRpcServerAuth` class is the base class and factory for handling all protocol issues of ONC/RPC authentication on the server side.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:51 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Constructor Summary

Constructors
Constructor and Description
`OncRpcServerAuth()`

### Method Summary

Methods
`abstract int` `getAuthenticationType()` Returns the type (flavor) of `authentication` used.
`abstract void` `xdrDecodeCredVerf(XdrDecodingStream xdr)` Decodes -- that is: deserializes -- an ONC/RPC authentication object (credential & verifier) on the server side.
`abstract void` `xdrEncodeVerf(XdrEncodingStream xdr)` Encodes -- that is: serializes -- an ONC/RPC authentication object (its verifier) on the server side.
`static OncRpcServerAuth` `xdrNew(XdrDecodingStream xdr, OncRpcServerAuth recycle)` Restores (deserializes) an authentication object from an XDR stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OncRpcServerAuth

    public OncRpcServerAuth()

### Method Detail

#### getAuthenticationType

    public abstract int getAuthenticationType()

Returns the type (flavor) of `authentication` used.

Returns:
  Authentication type used by this authentication object.

#### xdrNew

    public static final OncRpcServerAuth xdrNew(XdrDecodingStream xdr,
                          OncRpcServerAuth recycle)
                                         throws OncRpcException,
                                                java.io.IOException

Restores (deserializes) an authentication object from an XDR stream.

Parameters:
  `xdr` - XDR stream from which the authentication object is restored.
  `recycle` - old authtentication object which is intended to be reused in case it is of the same authentication type as the new one just arriving from the XDR stream.
Returns:
  Authentication information encapsulated in an object, whose class is derived from `OncRpcServerAuth`.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.

#### xdrDecodeCredVerf

    public abstract void xdrDecodeCredVerf(XdrDecodingStream xdr)
                                    throws OncRpcException,
                                           java.io.IOException

Decodes -- that is: deserializes -- an ONC/RPC authentication object (credential & verifier) on the server side.

Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.

#### xdrEncodeVerf

    public abstract void xdrEncodeVerf(XdrEncodingStream xdr)
                                throws OncRpcException,
                                       java.io.IOException

Encodes -- that is: serializes -- an ONC/RPC authentication object (its verifier) on the server side.

Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.